{
==============================
= CRC16_Slow calculator module
==============================
}
{{
  This is a much smaller but slower version of CRC16.
  CRC generated is not exactly right, but at this point I don't really care.
  The table number distribution that can be built with crcbyte is very good. 
}}

CON
  CRC_INIT        = $FFFF
  CCITT_CRC_POLY  = $1021

PUB get(buf, len, initval) | ii
  result := initval
  repeat ii from 0 to (len - 1)
    result := crcbyte(result, byte[buf+ii])

PRI crcbyte(crc, db) | ii
  repeat ii from 0 to 7
    crc <<= 1
    if (db ^ (crc>>16)) & 1
      crc ^= CCITT_CRC_POLY
    db >>= 1
    crc &= CRC_INIT
  return crc
