{{
*************************************
* bootdef module
*************************************
}}

CON ' Message Space
{
  BIOS_CMD_BASE   = $7FE0 ' long command + 7 long argument pointers
  BIOS_DBASE_ADDR = $7E00 ' config database $300 = 768 bytes need bigger ?
  BIOS_DBASE_SIZE = BIOS_CMD_BASE-BIOS_DBASE_ADDR
}
  BIOS_DBASE_ADDR = $C0 ' config database $300 = 768 bytes need bigger ?
  BIOS_DBASE_SIZE = $F0
  

CON
  cfg_size        = $00
  cfg_version     = $04
  cfg_sdpins      = $08 ' basepin is on byte 0, others may be defined
  cfg_baud_rate   = $0C
  cfg_sdboot_fname= $10
  cfg_pingrp1     = $14 ' see bootcfg datastruct for details
  cfg_pingrp2     = $1C ' see bootcfg datastruct for details
  '--- $$1D-$$4F are free --- 
  cfg_prodname    = $60
  cfg_userid      = $70
  cfg_passwd      = $80
  cfg_hostid      = $90
  cfg_ipv4_address= $A0
  cfg_ipv4_netmask= $A4
  cfg_ipv4_gateway= $A8
  cfg_ipv4_dns    = $AC
  cfg_macaddr     = $B0
  '--- $$A8-$$AF are free ---
  cfg_bootp_fname = $C0
  '--- $$DC-$$DF are free ---
  cfg_crc16       = $EC
  cfg_total_size  = $F0

CON
  #0    ' offsets within cfg_sdpins
  SDCARD_BASEPIN_BYTE    
  #0    ' offsets within cfg_pingrp1
  TV_BASEPIN_BYTE    
  VGA_BASEPIN_BYTE    
  NTSCPAL_BYTE    
  EXTRA_VIDEO_BYTE    
  MOUSE_DAT_PIN_BYTE    
  MOUSE_CLK_PIN_BYTE    
  KEYBD_DAT_PIN_BYTE    
  KEYBD_CLK_PIN_BYTE    
  #0    ' offsets within cfg_pingrp2
  ENET_CS_PIN_BYTE    
  ENET_SCK_PIN_BYTE    
  ENET_SI_PIN_BYTE    
  ENET_SO_PIN_BYTE    
  ENET_INT_PIN_BYTE    

PUB nopub